Create a direct-support schedule task.

Create a direct-support schedule task against a specific device. As a direct-support schedule task, the task will be executed immediately against a single device. For more information about the request payload, please review below the schema of the relevant data type: DirectSupportTask, ScheduledTaskCredential, and ScheduledTaskParameter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The task to be created.

'Direct support' scheduled task.

string
required

The name of the task. This value must be unique.

int32
required

The ID of the remote execution item. The item ID can be found in the N-central UI ("Configuration" -> "Scheduled Tasks" -> "Script/software Repository") and it must have "Enable API" flag "ON" (see in the N-central UI).

string
enum
required

The type of the task. Supported values: AutomationPolicy, Script or MacScript.

Allowed:
int32
required

The ID of the customer. The customer ID can be obtained using the 'GET /api/customers' endpoint.

int32
required

The ID of the device. The device ID can be obtained using the 'GET /api/devices' endpoint.

credential
object
required

Credentials for a remote execution task.

parameters
array of objects

The credential setting for the task. For more information about the fields of ScheduledTaskParameter, please review its schema below.

parameters
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*